class AppInitializer < RubyPitaya::InitializerBase

  # method:     run
  # parameter:  initializer_content
  # attributes:
  #  - redis
  #    - link: https://github.com/redis/redis-rb/
  #  - mongo
  #    - class: Mongo::Client
  #    - link: https://docs.mongodb.com/ruby-driver/current/tutorials/quick-start/
  #  - config
  #    - class: RubyPitaya::Config
  #    - link: https://gitlab.com/LucianoPC/ruby-pitaya/-/blob/master/lib/rubypitaya/core/config.rb
  #    - methods:
  #      - [](key)
  #        - get config file by config path
  #  - setup
  #    - class: RubyPitaya::Setup
  #    - link: https://gitlab.com/LucianoPC/ruby-pitaya/-/blob/master/lib/rubypitaya/core/setup.rb
  #    - methods:
  #      - [](key)
  #        - get config file by config path
  #  - log
  #    - class: Logger
  #    - link: https://ruby-doc.org/stdlib-2.6.4/libdoc/logger/rdoc/Logger.html
  #    - methods:
  #      - info
  #        - log information

  def run(initializer_content)
    playerBll = PlayerBLL.new

    PlayerHandler.bll.add_instance(:player, playerBll)
  end

  def self.path
    __FILE__
  end
end