require 'mongo'

module RubyPitaya

  class MongoConnector

    def initialize(mongo_address, mongo_user, mongo_password, mongo_database_name)
      @mongo_address = mongo_address
      @mongo_user = mongo_user
      @mongo_password = mongo_password
      @mongo_database_name = mongo_database_name
    end

    def connect
      @mongo_client = Mongo::Client.new([@mongo_address],
                                        user: @mongo_user,
                                        password: @mongo_password,
                                        database: @mongo_database_name)
    end

    def mongo
      @mongo_client
    end
  end
end
