module RubyPitaya

  class Session

    attr_reader :id, :uid, :data, :metadata, :frontend_id

    attr_writer :uid, :data

    def initialize
      @id = ''
      @uid = ''
      @data = {}
      @metadata = {}
      @frontend_id = ''
    end

    def update(id, uid, data, metadata, frontend_id)
      @id = id
      @uid = uid
      @data = data
      @metadata = metadata
      @frontend_id = frontend_id
    end

    def authenticated?
      !@uid.strip.empty?
    end
  end
end