require 'redis'

module RubyPitaya

  class RedisConnector

    attr_reader :redis

    def initialize(redis_address)
      @redis = nil
      @redis_address = redis_address
    end

    def connect
      @redis = Redis.new(
        url: @redis_address,
        :reconnect_attempts => 10,
        :reconnect_delay => 1.5,
        :reconnect_delay_max => 2.0,
      )

      @redis.ping
    end
  end
end
