# -*- encoding: utf-8 -*-
# stub: rubypitaya 2.27.1 ruby lib

Gem::Specification.new do |s|
  s.name = "rubypitaya".freeze
  s.version = "2.27.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Luciano Prestes Cavalcanti".freeze]
  s.date = "2021-09-04"
  s.description = "RubyPitaya is an application to create servers using the pitaya protocol.".freeze
  s.email = ["lucianopcbr@gmail.com".freeze]
  s.executables = ["rubypitaya".freeze]
  s.files = ["bin/rubypitaya".freeze]
  s.homepage = "https://gitlab.com/LucianoPC/ruby-pitaya".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Create servers with pitaya".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<pg>.freeze, ["= 1.2.3"])
    s.add_runtime_dependency(%q<rake>.freeze, ["= 13.0.6"])
    s.add_runtime_dependency(%q<nats>.freeze, ["= 0.11.0"])
    s.add_runtime_dependency(%q<mongo>.freeze, ["= 2.15.0"])
    s.add_runtime_dependency(%q<redis>.freeze, ["= 4.4.0"])
    s.add_runtime_dependency(%q<etcdv3>.freeze, ["= 0.11.3"])
    s.add_runtime_dependency(%q<sinatra>.freeze, ["= 2.1.0"])
    s.add_runtime_dependency(%q<ostruct>.freeze, ["= 0.4.0"])
    s.add_runtime_dependency(%q<protobuf>.freeze, ["= 3.10.4"])
    s.add_runtime_dependency(%q<activerecord>.freeze, ["= 6.1.4.1"])
    s.add_runtime_dependency(%q<sinatra-contrib>.freeze, ["= 2.1.0"])
    s.add_development_dependency(%q<pry>.freeze, ["= 0.14.1"])
    s.add_development_dependency(%q<bundler>.freeze, ["= 2.1.4"])
    s.add_development_dependency(%q<rspec>.freeze, ["= 3.10.0"])
    s.add_development_dependency(%q<listen>.freeze, ["= 3.7.0"])
    s.add_development_dependency(%q<cucumber>.freeze, ["= 7.0.0"])
  else
    s.add_dependency(%q<pg>.freeze, ["= 1.2.3"])
    s.add_dependency(%q<rake>.freeze, ["= 13.0.6"])
    s.add_dependency(%q<nats>.freeze, ["= 0.11.0"])
    s.add_dependency(%q<mongo>.freeze, ["= 2.15.0"])
    s.add_dependency(%q<redis>.freeze, ["= 4.4.0"])
    s.add_dependency(%q<etcdv3>.freeze, ["= 0.11.3"])
    s.add_dependency(%q<sinatra>.freeze, ["= 2.1.0"])
    s.add_dependency(%q<ostruct>.freeze, ["= 0.4.0"])
    s.add_dependency(%q<protobuf>.freeze, ["= 3.10.4"])
    s.add_dependency(%q<activerecord>.freeze, ["= 6.1.4.1"])
    s.add_dependency(%q<sinatra-contrib>.freeze, ["= 2.1.0"])
    s.add_dependency(%q<pry>.freeze, ["= 0.14.1"])
    s.add_dependency(%q<bundler>.freeze, ["= 2.1.4"])
    s.add_dependency(%q<rspec>.freeze, ["= 3.10.0"])
    s.add_dependency(%q<listen>.freeze, ["= 3.7.0"])
    s.add_dependency(%q<cucumber>.freeze, ["= 7.0.0"])
  end
end
